commit 13354246185995793641fe59970ffd33d5fc80d2
Author: freddy77 <freddy77>
Date:   Fri Dec 19 18:43:21 2008 +0000

    fix possible issue with 64 bit machines

diff --git a/ChangeLog b/ChangeLog
index f66e10e..8cf9b86 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Dec 19 19:43:07 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/bulk.c: fix possible issue with 64 bit machines
+
 Fri Dec 19 17:22:14 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/net.c:
 	- fix typo, process last empty field from sql browser
@@ -1110,4 +1113,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2691 2008/12/19 16:23:20 freddy77 Exp $
+$Id: ChangeLog,v 1.2692 2008/12/19 18:43:21 freddy77 Exp $
diff --git a/src/tds/bulk.c b/src/tds/bulk.c
index 542ff79..856f831 100644
--- a/src/tds/bulk.c
+++ b/src/tds/bulk.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: bulk.c,v 1.7 2008/12/19 15:41:29 freddy77 Exp $");
+TDS_RCSID(var, "$Id: bulk.c,v 1.8 2008/12/19 18:43:21 freddy77 Exp $");
 
 #ifndef MAX
 #define MAX(a,b) ( (a) > (b) ? (a) : (b) )
@@ -500,8 +500,8 @@ tds_bcp_send_record(TDSSOCKET *tds, TDSBCPINFO *bcpinfo, tds_bcp_get_col_data ge
 					break;
 				}
 
-				tdsdump_log(TDS_DBG_INFO1, "new_record_size = %d datalen = %d \n", 
-							record - bcpinfo->bindinfo->current_row, bindcol->bcp_column_data->datalen);
+				tdsdump_log(TDS_DBG_INFO1, "new_record_size = %ld datalen = %d\n", 
+							(long int) (record - bcpinfo->bindinfo->current_row), bindcol->bcp_column_data->datalen);
 
 #if WORDS_BIGENDIAN
 				tds_swap_datatype(tds_get_conversion_type(bindcol->column_type, bindcol->bcp_column_data->datalen),
@@ -522,8 +522,8 @@ tds_bcp_send_record(TDSSOCKET *tds, TDSBCPINFO *bcpinfo, tds_bcp_get_col_data ge
 				}
 
 			}
-			tdsdump_log(TDS_DBG_INFO1, "old_record_size = %d new size = %d \n",
-					old_record_size, record - bcpinfo->bindinfo->current_row);
+			tdsdump_log(TDS_DBG_INFO1, "old_record_size = %d new size = %ld\n",
+					old_record_size, (long int) (record - bcpinfo->bindinfo->current_row));
 		}
 
 		tds_put_byte(tds, TDS_ROW_TOKEN);   /* 0xd1 */

